package com.alibaba.druid.sql.dialect.antspark.visitor;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.statement.SQLCreateTableStatement;
import com.alibaba.druid.sql.dialect.antspark.ast.AntsparkCreateTableStatement;
import com.alibaba.druid.sql.repository.SchemaRepository;
import com.alibaba.druid.sql.visitor.SchemaStatVisitor;

public class AntsparkSchemaStatVisitor extends SchemaStatVisitor implements AntsparkVisitor {
   public AntsparkSchemaStatVisitor() {
      super(DbType.antspark);
      this.dbType = DbType.antspark;
   }

   public AntsparkSchemaStatVisitor(SchemaRepository repository) {
      super(repository);
      this.dbType = DbType.antspark;
   }

   public boolean visit(AntsparkCreateTableStatement x) {
      return super.visit((SQLCreateTableStatement)x);
   }

   public void endVisit(AntsparkCreateTableStatement x) {
      super.endVisit((SQLCreateTableStatement)x);
   }
}
